@import "./normalize.min.css";
@import url('https://fonts.googleapis.com/css2?family=Titillium+Web:wght@200;300;400;600;700&display=swap');
@import "./circle.css";

*,
*:before,
*:after,
h1,
h2,
h3,
h4,
h5,
p,
ul,
li {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  list-style: none;
  text-decoration: none;
}

:root {
  --purple: #87509c;
  --dark-purple: #643a79;
  --orange: #eb7d4b;
  --mint: #17c2a4;
  --bright-yellow: #ffdd99;
  --dark-yellow: #ebcb8d;
  --pink: #d74680;
  --blue: #3c5499;
  --sky-blue: #30bae7;
  --dark-blue: #273a71;
  --gray: #e7f1f8;
  --white: #ffffff;
}

a {
  display: inline-block;
  text-decoration: none;
}

/* -------------------------------------- */
body {
  font-family: "Titillium Web";
}

button {
  outline: none;
  border: none;
  text-transform: uppercase;
}

.button:hover {
  opacity: 0.8;
}

.button:active,
.navigation__link:active,
.social-media__link:active {
  transform: translateY(4px);
}

.welcome-section {
  background-color: var(--purple);
  height: 100vh;
  position: relative;

}

.welcome-section__wrapper {
  margin: 0 auto;
  max-width: 1100px;
  padding: 0% 0;
  text-align: center
}

.header {
  background-color: var(--purple);
  position: relative;
  display: flex;
  justify-content: space-between;
  padding: 57px 9px 0 40px;
  margin-bottom: 130px;
}

.head__logo__container {
  width: 120px;
}

.logo {
  max-width: 125px;
}

.navigation__list {
  min-width: 450px;
  display: flex;
  justify-content: space-between;
}

.navigation__item-orange {
  margin-right: 23px;
}

.navigation__item-orange:last-child {
  margin-right: 0;
}

.navigation__link {
  padding: 5px 15px;
  text-transform: uppercase;
  border-radius: 10%;
  font-size: 18px;
}

.navigation__link-white {
  color: var(--white);
  background-color: var(--purple);
}

.navigation__link-white:hover {
  background-color: var(--dark-purple);
}

.welcome-section__article {
  color: #f7f3ea;
  font-size: 42px;
  margin-bottom: 54px;
  padding: 0 20px;
  line-height: 1.2;
}

.button {
  border-radius: 5px;
  text-align: center;
  width: 293px;
  font-size: 18px;
  font-weight: 600;
  height: 70px;
}

.button-orange {
  background-color: var(--orange);
  color: var(--white);
  border-bottom: 5px solid #ba6454;
}

/* ---------------------------------------------------------- */

.burger-menu {
  display: none;
}

#menu__toggle {
  opacity: 0;
}

.menu__btn {
  display: flex;
  align-items: center;
  position: absolute;
  top: 65px;
  right: 20px;
  width: 26px;
  height: 26px;
  cursor: pointer;
  z-index: 2;
}

.menu__btn>span,
.menu__btn>span::before,
.menu__btn>span::after {
  display: block;
  position: absolute;
  width: 100%;
  height: 2px;
  background-color: white;
}

.menu__btn>span::before {
  content: '';
  top: -8px;
}

.menu__btn>span::after {
  content: '';
  top: 8px;
}

.menu__box {
  display: block;
  position: fixed;
  visibility: hidden;
  top: 0;
  right: -100%;
  width: 200px;
  height: 100%;
  margin: 0;
  padding: 80px 0;
  list-style: none;
  text-align: center;
  box-shadow: 1px 0px 6px rgba(0, 0, 0, .2);
  background-color: var(--mint);
  z-index: 1;
}

.menu__toggle {
  z-index: 2;
}

.menu__box li {
  border-bottom: 1px solid black;
  text-transform: uppercase;
}

.menu__item {
  display: block;
  padding: 12px 24px;
  color: #333;
  font-size: 20px;
  font-weight: 600;
  text-decoration: none;
  z-index: 1;
}

.menu__item:hover {
  background-color: var(--dark-purple);
}

#menu__toggle:checked~.menu__btn>span {
  transform: rotate(45deg);
}

#menu__toggle:checked~.menu__btn>span::before {
  top: 0;
  transform: rotate(0);
}

#menu__toggle:checked~.menu__btn>span::after {
  top: 0;
  transform: rotate(90deg);
}

#menu__toggle:checked~.menu__box {
  visibility: visible;
  right: 0;
}

/* ------------------------------------------------------------ */

.wrapper {
  margin: 0 auto;
  max-width: 1100px;
  padding: 120px 0;
  text-align: center;
}

/* ----------------SECOND PAGE-------------------------------- */
.service-section {
  background-color: var(--mint);
}

.section__article {
  margin: 0 20px 30px 20px;
  position: relative;
  letter-spacing: 4px;
  font-size: 40px;
}

.section__article::after {
  position: absolute;
  display: block;
  content: "";
  width: 87px;
  left: 50%;
  transform: translateX(-50%);
  bottom: -20%;
  border-top: 4px solid black;
  opacity: 0.1;
}

.section__article-white {
  color: var(--white);
}

.section__text {
  font-size: 19px;
  margin-bottom: 80px;
padding: 0 20px;
}

.section__text-white {
  color: var(--white);
}

.enumeration__text-white {
  color: var(--white);
}

.service-section__list {
  display: flex;
  flex-wrap: wrap;
}

.enumeration__item-wrapper-flex {
  display: flex;
  justify-content: space-between;
}

.enumeration__item {
  width: 25%;
  padding: 0 5px;
}

.service-section__item {
  min-height: 140px;
  width: 25%;
  flex-direction: column;
  padding: 0 5px;
}

.enumeration_article_wrapper {
  margin-bottom: 5%;
}

.service-section__img-container {
  width: 100%;
  height: 190px;
}

.service-section__item-img {
  max-height: 130px;
  max-width: 160px;
}

.service-section__item-desc {
  font-size: 24px;
  text-transform: uppercase;
  margin-bottom: 27px;
}

.service-section__item-desc-white {
  color: var(--white);
}

.service-section__item-text {
  margin: 0 auto;
  width: 80%;
}

.service-section__item-text-white {
  color: var(--white);
}

/* ----------------------------------------------------------- */
.section-team {
  background-color: var(--gray);
}

.enumeration__article-black,
.section__article-black,
.section__text-black,
.enumeration__text-black {
  color: #3c4761;
}

.article__name-black,
.section-skills__item-desc{
  color: #3c4761;
}

.section-team__list {
  display: flex;
  flex-wrap: wrap;
}

.section-team__item {
  width: 25%;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.section-team__item__img-container {
  margin-bottom: 40px;
}

.section-team__item__img {
  width: 200px;
  height: 200px;
  border-radius: 50%;
}

.section-team__item__name {
  font-size: 24px;
  text-transform: uppercase;
}

.section-team__item__job {
  margin-bottom: 20px;
  font-size: 16px;
  font-weight: 400;
}

.section-team__item__job-sky {
  color: var(--sky-blue);
}

.section-team__item__text {
  font-size: 16px;
  font-weight: 300;
  padding: 0 20px;
  margin-bottom: 30px;
}

.section-team__item__text-black {
  color: #3c4761;
}

.social-links__list {
  display: flex;
  justify-content: center;
}

.social-links__item {
  padding: 0 5px;
}

.social-links__link {
  width: 32px;
  height: 32px;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 50%;
  background-color: #c3d6e3;
  color: var(--white);
}

.social-links__link:hover {
  filter: grayscale(1);
}

.icon__bright {
  color: var(--white);
}

/* ---------------------------------------------------------- */

.section-skills {
  background-color: var(--white);
}

.section-skills__list-diagrams {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.section-skills__item-wrapper {
  width: 25%;
  transition: all 0.5s ease-in;
}

.section-skills__item {
  width: 100%;
  margin-bottom: 35px;
}

.c100 {
  font-size: 150px;
  float: none;
  margin: 0 auto;
}

.section-skills__item-desc {
  font-size: 24px;
  font-weight: 700;
  text-transform: uppercase;
  letter-spacing: 0.48px;
}

/* ------------------------------------------------------------- */
.section-portfolio {
  background-color: var(--bright-yellow);
}

.section-portfolio .section__text {
  margin-bottom: 42px;
}

.section-portfolio__categories-list {
  display: flex;
  justify-content: center;
  margin-bottom: 65px;
}

.section-portfolio__categories-item {
  margin-right: 10px;
}

.section-portfolio__categories-item:last-child {
  margin-right: 0;
}

.section-portfolio__categories-link {
  width: 90px;
  padding: 10px 0;
  text-align: center;
  color: #393939;
  border-radius: 4px;
  font-size: 18px;
  text-transform: uppercase;
}

.section-portfolio__categories-link-yellow {
  background-color: var(--dark-yellow);
}

.section-portfolio__categories-link-yellow:hover {
  background-color: rgb(214, 172, 94)
}

.section-portfolio__categories-link-active {
  background-color: var(--white);
}

.section-portfolio__gallery {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
}

.section-portfolio__gallery-item {
  width: 48%;
  margin-bottom: 64px;
}

.enumeration__item_portfolio {

  width: 49%;
  margin-bottom: 5%;
}

.section-portfolio__gallery-picture {
  background: url(../img/laptop.png);
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  display: block;
  margin-bottom: 20px;
}

.section-portfolio__gallery-item-img {
  width: 410px;
  height: 256px;
  margin: 0 auto;
  padding: 15px 32px 24px 32px;
}

.section-portfolio__gallery-item-title {
  font-size: 18px;
  font-weight: 400;
  text-transform: uppercase;
}

.button-mint {
  background-color: var(--mint);
  color: var(--white);
  border-bottom: 5px solid #14a58b;
}

/* --------------------------------------------------------- */
.section-about {
  background-color: var(--pink);
}

.section-about__list {
  display: flex;
  justify-content: space-around;
  flex-wrap: wrap;
}

.section-about__item {
  width: 46%;
  text-align: left;
  display: flex;
  justify-content: space-between;
  margin-bottom: 154px;
}

.section-about__item:nth-child(3),
.section-about__item:nth-child(4) {
  margin-bottom: 0;
}

.section-about__item_photo {
  width: 96px;
  height: 96px;
  margin-right: 48px;
  border-radius: 50%;
}

.section-about__item-text {
  color: var(--white);
  font-style: italic;
  font-size: 21px;
  margin-bottom: 25px;
  line-height: 31.2px;
}

.section-about__item-name {
  color: var(--white);
  font-size: 24px;
  text-transform: uppercase;
}

.section-about__item-text-job {
  color: #ffdd99;
  font-size: 18px;
}

/* ------------------------------------------------------- */
.section-touch {
  background-color: var(--blue);
}

.button-sky {
  background-color: var(--sky-blue);
  color: var(--white);
  border-bottom: 5px solid #299ec4;
}

.section-content__form {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  width: 85%;
  margin: 0 auto;
  margin-bottom: 60px;
}

.placeholder {
  display: none;
  line-height: 56px;
  cursor: text;
  position: absolute;
  left: 0px;
  top: 0;
  padding-left: 26px;
  font-size: 18px;
  color: var(--white);
  opacity: 1;
}

.label-name .section-content__submit-name:invalid+.placeholder,
.label-email .section-content__submit-email:invalid+.placeholder,
.label-text .section-content__submit-text:invalid+.placeholder {
  display: inline;
}

.label-name,
.label-email {
  position: relative;
  width: 48%;
  height: 56px;
  margin-bottom: 26px;
  background-color: var(--dark-blue);
  border-radius: 5px;
}

.label-text {
  position: relative;
  width: 100%;
}

.section-content__submit-name,
.section-content__submit-email,
.section-content__submit-text {
  width: 100%;
  height: 100%;
  background-color: transparent;
  font-size: 18px;
  font-weight: 400;
  color: var(--white);
  border: none;
  outline: none;
  padding-left: 3%;
}

.section-content__submit-text {
  min-height: 200px;
  background-color: var(--dark-blue);
  border-radius: 5px;
  padding-top: 16px;
  resize: none;
  position: relative;
}

.label-text::before {
  content: '';
  background-image: url("../Arrow.png");
  position: absolute;
  width: 11px;
  height: 11px;
  z-index: 1;
  bottom: 15px;
  right: 15px;

}

.section-content__submit-name:focus+.placeholder,
.section-content__submit-email:focus+.placeholder,
.section-content__submit-text:focus+.placeholder {
  opacity: 0;
}

.red {
  color: red;
}

/* --------------------------------------------------------- */
.footer {
  background-color: #344b8e;
}

.footer-wrapper {
  margin: 0 auto;
  max-width: 1100px;
  padding: 45px 0 45px 0;
}

.footer__social-media {
  display: flex;
  justify-content: space-around;
}

.footer__social-media__link {
  font-size: 24px;
  color: white;
}

.footer__social-media__link:hover {
  color: var(--sky-blue);
}

/* -------------------------------------------------------- */

@media screen and (max-width: 1025px) {

  .service-section__item-desc,
  .service-section__item-text {
    padding: 0 50px;
  }

  .service-section__item {
    width: 50%;
  }

  .service-section__item:nth-child(-n + 2) {
    margin-bottom: 40px;
  }

  .section-team__item:nth-child(-n + 2) {
    margin-bottom: 40px;
  }

  .service-section__item-text {
    padding: 0;
  }

  .section-team__item {
    width: 50%;
  }

  .section-portfolio__gallery {
    margin-bottom: 60px;
  }

  .section-portfolio__gallery-item {
    width: 100%;
    margin-bottom: 30px;
  }

  .section-portfolio__gallery-item:last-child {
    margin-bottom: 0;
  }

  .section-about__item{
    flex-direction: column;
    text-align: center;
    justify-content: end;
    
  }

  .section-about__item-text{
    min-height: 124px;
  }

  .section-about__item_photo{
    margin-right: 0;
  }

}

@media screen and (max-width: 769px) {
  .welcome-section br {
    display: none;
  }

  .navigation {
    display: none;
  }

  .burger-menu {
    display: block;
  }

  .header {
    margin-bottom: 180px;
  }

  .welcome-section__article {
    font-size: 32px;
    margin-bottom: 80px;
    padding: 0 20px;
  }

  .section__article {
    font-size: 32px;
  }

  .section__text {
    margin-bottom: 50px;
    padding: 0 20px;
  }

  .section__text br {
    display: none;
  }


  .section-about__list {
    flex-direction: column;
    align-items: center;
  }

  .section-about__item {
    flex-direction: column;
    align-items: center;
    text-align: center;
    margin-bottom: 70px;
    width: 70%;
  }

  .section-about__item:nth-child(3) {
    margin-bottom: 70px;
  }

  .section-about__item_photo {
    margin: 0;
  }

  .section-skills__list-diagrams {
    justify-content: space-around;
  }

  .section-skills__item-wrapper {
    width: 35%;
  }

  .section-skills__item-wrapper:nth-child(-n + 2) {
    margin-bottom: 30px;
  }

  .section-touch .section__text {
    padding: 0 60px;
  }

  .section-content__form {
    width: 95%;
  }

  .label-name,
  .label-email {
    width: 100%;
  }

  .footer__social-media__link {
    font-size: 18px;
  }

  .section-about__item-text {
    min-height: auto;
  }



}


@media screen and (max-width: 640px) {

  .button {
    width: 220px;
    height: 50px;
    font-size: 14px;
  }

  .section__text {
    font-size: 22px;
    padding: 0 30px;
  }

  .welcome-section__article {
    font-size: 30px;
    margin-bottom: 40px;
    padding: 0 10px;
  }

  .service-section__item {
    width: 100%;
    margin-bottom: 40px;
    align-items: center;
    display: flex;
  }

  .service-section__item:last-child {
    margin-bottom: 0;
  }

  .service-section__item-text {
    width: 80%;
    margin: 0;
    font-size: 18px;
  }

  .section-team__item {
    width: 100%;
  }

  .section-team__item:nth-child(3) {
    margin-bottom: 40px;
  }

  .section-team__item__text {
    width: 70%;
  }

  .section-skills__item-wrapper {
    width: 55%;
  }

  .section-team__item__text {
    font-size: 18px;
  }

  .section-skills__item-wrapper:nth-child(3) {
    margin-bottom: 30px;
  }

  .section-skills__item-desc {
    font-size: 18px;
  }

  .section-portfolio__categories-link {
    width: 70px;
  }

  .footer__social-media {
    flex-wrap: wrap;
  }

  .footer__social-media__item {
    width: 25%;
    text-align: center;
    line-height: 2;
  }

}

@media screen and (max-width: 475px) {

  .header {
    margin-bottom: 80px;
  }

  .wrapper {
    padding: 60px 0;

  }

  .section-portfolio__gallery-picture {
    width: 300px;
    margin: 0 auto;
    padding: 25px 36px 35px 35px;
  }


  .section-portfolio__gallery-item-img {
    width: 230px;
    height: 150px;
    padding: 0;
  }

  .section-portfolio__categories-item {
    width: 50%;
    margin-right: 0;
  }

  .section-portfolio__categories-item:nth-child(1),
  .section-portfolio__categories-item:nth-child(2) {
    margin-bottom: 20px;
  }


  .section-portfolio__categories-list {
    flex-wrap: wrap;
  }
}

@media screen and (max-width: 475px) {

  .welcome-section__article {
    font-size: 24px;
  }

  .section-portfolio__gallery-picture {
    width: 250px;
    padding: 30px 24px 35px 23px;
  }

  .section-portfolio__gallery-item-img {
    width: 190px;
    height: 120px;
  }

  .footer__social-media__item {
    width: 41%;
  }

  .section__text {
    font-size: 14px;
  }

  .section-portfolio__gallery-item-title {
    font-size: 16px;
  }


}

@media screen and (max-height: 500px) {
  .header {
    margin-bottom: 20px;
  }
}